/****************************************************************************
 *
 *	%Q%
 *
 *	All rights reserved.  Unpublished, all rights reserved under
 *	copyright law and international treaty.  Use of a copyright notice
 *	is precautionary only and does not imply publication or disclosure.
 *	This software contains confidential information and trade secrets of
 *	Micro Focus International Ltd, and no part of this program or
 *	publication may be reproduced, transmitted, transcribed, stored in
 *	a retrieval system, or translated into any language or computer
 *	language, in any form or by any means, electronic, mechanical,
 *	magnetic, optical, chemical, manual or otherwise, without the prior
 *	written permission of:
 *
 *	Micro Focus International Ltd,
 *	The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
 *	(01635) 32646
 *
 *	RESTRICTED RIGHTS LEGEND
 *	Use, duplication, or disclosure by the Government is subject to
 *	restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
 *	in Technical Data and Computer Software clause at DFARS 52.227-7013
 *	or subparagraphs (c)(1) and (2) of Commercial Computer Software -
 *	Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
 *	Micro Focus International Ltd, 701 East Middlefield Road,
 *	Mountain View, California 94043, USA.
 *
 *	%Y%
 *
 *	Source Module %M%	Sccs Identification %I%
 *
 *	Last Modified on %E% at %U%
 *
 *      sccsid %W%
 *
 ****************************************************************************/

package com.mypackage.JMapServ;

import java.util.Date;

/**
 * Contains getter and setter methods that are used to get information back and
 * forth between the servlet and JSP.
 */
public class MapservJspBean {

  private String lnk_b_title = "";
  private String lnk_b_type = "";
  private String lnk_b_author = "";
  private String lnk_b_stockno = "";
  private String lnk_b_retail = "";
  private String lnk_b_onhand = "";
  private String lnk_b_sold = "";
  private String lnk_file_status = "";
  private String operation = "";
  private String message = "";
  private String sessionCreationTime = "";
  private String sessionLastAccessTime = "";
  private String sessionInactiveInterval = "";

    public void setSct(String s) {
      sessionCreationTime = s;
    }

    public String getSct() {
      return sessionCreationTime ;
    }

    public void setSlt(String s) {
      sessionLastAccessTime = s;
    }

    public String getSlt() {
      return sessionLastAccessTime ;
    }

    public void setSii(String s) {
      sessionInactiveInterval = s;
    }

    public String getSii() {
      return sessionInactiveInterval;
    }

	public void setLnk_b_title(String p){
		lnk_b_title = p;
	}

	public String getLnk_b_title( ){
		return lnk_b_title;
	}

    public void setOperation(String s){
      operation = s ;
	}

	public String getOperation( ){
		return operation;
	}

	public void setLnk_b_type(String p){
		lnk_b_type = p;
	}

	public String getLnk_b_type( ){
		return lnk_b_type;
	}

    public void setLnk_b_author(String p){
		lnk_b_author  = p;
	}

	public String getLnk_b_author( ){
		return lnk_b_author;
	}

	public void setMessage(String s){
		message = s;
	}

	public String getMessage( ){
		return message;
	}

    public void setLnk_b_stockno(String p){
      lnk_b_stockno  = p;
    }

    public String getLnk_b_stockno( ){
      return lnk_b_stockno;
	}

    public void setLnk_b_retail(String p){
      lnk_b_retail  = p;
    }

    public String getLnk_b_retail( ){
      return lnk_b_retail;
	}

    public void setLnk_b_onhand(String p){
      lnk_b_onhand  = p;
    }

    public String getLnk_b_onhand( ){
      return lnk_b_onhand;
	}

    public void setLnk_b_sold(String p){
      lnk_b_sold  = p;
    }

    public String getLnk_b_sold( ){
      return lnk_b_sold;
	}

    public void setLnk_file_status(String p){
      lnk_file_status  = p;
    }

    public String getLnk_file_status( ){
      return lnk_file_status;
	}

}

/** End of source module %M% **/
